wS_GetProfileId(client, const String:steamid[])
{
	////////////////////////////////////////////////////////////////////
	// https://forums.alliedmods.net/showthread.php?t=183443
	decl String:SteamIDParts[3][11];
	if (ExplodeString(steamid, ":", SteamIDParts, 3, 11) != 3)
		return;

	new const String:Identifier[] = "76561197960265728";

	new Current, CarryOver = (SteamIDParts[1][0] == '1');
	for (new i = (PROFILE_ID_SIZE - 2), j = (strlen(SteamIDParts[2]) - 1), k = (strlen(Identifier) - 1); i >= 0; i--, j--, k--)
	{
		Current = (j >= 0 ? (2 * (SteamIDParts[2][j] - '0')) : 0) + CarryOver + (k >= 0 ? ((Identifier[k] - '0') * 1) : 0);
		CarryOver = Current / 10;
		g_ProfileID[client][i] = (Current % 10) + '0';
	}

	g_ProfileID[client][PROFILE_ID_SIZE - 1] = '\0';
	////////////////////////////////////////////////////////////////////

	new Handle:socket = SocketCreate(SOCKET_TCP, OnSocketError);
	SocketSetArg(socket, GetClientUserId(client));
	SocketConnect(socket, OnSocketConnected, OnSocketReceive, OnSocketDisconnected, "steamcommunity.com", 80);
}

public OnSocketError(Handle:socket, const errorType, const errorNum, any:id)
{
	CloseHandle(socket);
	LogError("SocketError -> errorType: %d, errorNum: %d", errorType, errorNum);
}

public OnSocketConnected(Handle:socket, any:id)
{
	new client = GetClientOfUserId(id);
	if (client < 1)
	{
		CloseHandle(socket);
		return;
	}

	decl String:info[200];
	Format(info, 200, "GET /profiles/%s HTTP/1.0\r\nHost: steamcommunity.com\r\nConnection: close\r\n\r\n", g_ProfileID[client]);
	SocketSend(socket, info);
}

public OnSocketReceive(Handle:socket, String:receiveData[], const dataSize, any:id)
{
	if (dataSize > 0 && StrContains(receiveData, "user has not yet set", false) != -1)
	{
		wS_ClientAuthorized(socket, id, false);
	}
}

public OnSocketDisconnected(Handle:socket, any:id)
{
	wS_ClientAuthorized(socket, id, true);
}

wS_ClientAuthorized(Handle:socket, id, bool:steam_client)
{
	CloseHandle(socket);

	new client = GetClientOfUserId(id);
	if (client < 1)
		return;

	g_HaveSteam[client] = steam_client;
	g_Socket[client] = true;
	SetTrieValue(g_HaveSteam_Trie, g_SteamID[client], steam_client);

	//PrintToServer("-> %d", steam_client);
}